## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate libgit2-sys
%global upstream_version 0.14.2+1.5.1

Name:           rust-libgit2-sys
Version:        0.14.2
Release:        %autorelease
Summary:        Native bindings to the libgit2 library

# * libgit2-sys crate:      MIT OR Apache-2.0
# * bundled libgit2:        GPL-2.0-only WITH GCC-exception-2.0
# * bundled http-parser:    MIT
# * bundled pcre:           BSD-3-Clause
License:        (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
URL:            https://crates.io/crates/libgit2-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Manually created patch for downstream crate metadata changes
# * remove libgit2 version from version field
# * update package.license field to reflect bundled dependencies
Patch:          libgit2-sys-fix-metadata.diff
# * build against the bundled copy of libgit2 unconditionally:
#   the version in the Fedora repositories is always either too old or too new
Patch:          0001-build-with-vendored-libgit2-unconditionally.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Native bindings to the libgit2 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

Provides:       bundled(libgit2) = 1.5.1
Provides:       bundled(http-parser) = 2.0
Provides:       bundled(pcre) = 8.44

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/libgit2/COPYING
%license %{crate_instdir}/libgit2/deps/http-parser/COPYING
%license %{crate_instdir}/libgit2/deps/pcre/LICENCE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-devel %{_description}

This package contains library source intended for building other packages which
use the "https" feature of the "%{crate}" crate.

%files       -n %{name}+https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libssh2-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libssh2-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "libssh2-sys" feature of the "%{crate}" crate.

%files       -n %{name}+libssh2-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-sys" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssh-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh-devel %{_description}

This package contains library source intended for building other packages which
use the "ssh" feature of the "%{crate}" crate.

%files       -n %{name}+ssh-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssh_key_from_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh_key_from_memory-devel %{_description}

This package contains library source intended for building other packages which
use the "ssh_key_from_memory" feature of the "%{crate}" crate.

%files       -n %{name}+ssh_key_from_memory-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vendored-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vendored-devel %{_description}

This package contains library source intended for building other packages which
use the "vendored" feature of the "%{crate}" crate.

%files       -n %{name}+vendored-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# remove upstream development scripts from libgit2
rm -r libgit2/script/
# remove unused bundled dependencies
rm -r libgit2/deps/chromium-zlib
rm -r libgit2/deps/ntlmclient
rm -r libgit2/deps/winhttp
rm -r libgit2/deps/zlib
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.14.2-1
- Update to version 0.14.2+1.5.1

* Sat Jan 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.13.5-1
- Update to version 0.13.5+1.4.5

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.13.4-3
- Update package.license in Cargo.toml to reflect bundled dependencies

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.13.4-1
- Update to version 0.13.4+1.4.2; Fixes RHBZ#2058289

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.26-1
- Update to version 0.12.26+1.3.0; Fixes RHBZ#2028148

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.25-1
- Update to 0.12.25

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.21-1
- Update to version 0.12.21+1.1.0.
- Fixes RHBZ#1964045

* Mon May 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.20-1
- Update to version 0.12.20+1.1.0.
- Fixes RHBZ#1951081

* Fri Feb 05 18:44:48 CET 2021 returntrip <stefano@figura.im> - 0.12.18-1
- Update to 0.12.18 (Fixes: RHZB#1918821)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 08:54:07 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.17-1
- Update to 0.12.17 (Fixes: RHBZ#1909222)

* Mon Dec 28 17:39:57 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.16-1
- Update to 0.12.16 (Fixes: RHBZ#1909222)

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.12.14-1
- Update to version 0.12.14+1.1.0.
- Fixes RHBZ#1888078

* Fri Sep 18 2020 Fabio Valentini <decathorpe@gmail.com> - 0.12.13-1
- Update to version 0.12.13+1.0.1.

* Fri Aug 21 2020 Josh Stone <jistone@redhat.com> - 0.12.12-1
- Update to 0.12.12+1.0.1

* Wed Aug 19 2020 Josh Stone <jistone@redhat.com> - 0.12.11-1
- Update to 0.12.11+1.0.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.12.9-1
- Update to 0.12.9+1.0.1

* Thu Jun 04 2020 Josh Stone <jistone@redhat.com> - 0.12.7-1
- Update to 0.12.7+1.0.0

* Tue May 19 19:53:42 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.6-1
- Update to 0.12.6+1.0.0

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.12.5-1
- Update to 0.12.5+1.0.0

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.12.4-1
- Update to 0.12.4+1.0.0

* Wed Apr 15 08:52:35 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.3-1
- Update to 0.12.3

* Thu Mar 19 10:52:57 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0+0.99.0

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.11.0-1
- Update to 0.11.0+0.99.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 09:30:41 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Thu Nov 28 13:20:45 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2

* Tue Nov 19 11:20:13 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 18 23:40:18 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.11-5
- Do not pull optional dependencies

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.11-4
- Trivial fixes

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.11-2
- Run tests in infrastructure

* Sat Dec 15 2018 Josh Stone <jistone@redhat.com> - 0.7.11-1
- Update to 0.7.11

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.10-2
- Adapt to new packaging

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 0.7.10-1
- Update to 0.7.10

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.7.8-1
- Update to 0.7.8

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.7-2
- Fix the devel Requires

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.7-1
- Update to 0.7.7

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.19-1
- Update to 0.6.19

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-2
- Rebuild for rust-packaging v5

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-1
- Update to 0.6.18

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.17-1
- Update to 0.6.17

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-2
- Fix end-of-line

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-1
- Initial package

